#ifndef HAZEL_TTY_H_
#define HAZEL_TTY_H_

#include <stdint.h>

typedef enum {
    DEV_COM1,
    DEV_VGA_TXT,
} dev_t;

typedef struct {
   dev_t dev;

   uint8_t *output;
   uint8_t *input;

   uint32_t output_len;
   uint32_t input_len;
} tty_t;

#endif
